%{?optflags_lto:%global optflags_lto %optflags_lto -ffat-lto-objects}
Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: 		utrac
Version:	0.3.0
Release:	alt2_39
Summary: 	Universal Text Recognizer and Converter
Summary(fr): 	Reconnaisseur et convertisseur universel de texte

License: 	GPL-2.0-or-later
Url: 		http://utrac.sourceforge.net
Source:		http://utrac.sourceforge.net/download/utrac-0.3.0.tar.gz
Patch0:		utrac-destdir.patch
Patch1:		utrac.h.utf8
Patch2:		utrac-prefix.patch

BuildRequires:  gcc
Source44: import.info
%description
Utrac is a command line tool and a library that recognize the encoding
of an input file (ex: UTF-8, ISO-8859-1, CP437...) and its end-of-line
type (CR, LF, CRLF).
It has three main features:
- Automatic recognition (depending on the file and on the system's locale),
  reliable in most cases;
- Assistance for verification or manual recognition;
- Conversion to an other charset and/or end-of-line type.

%description -l fr
Utrac est un outil en ligne de commande et une bibliothèque qui reconnait
l'encodage d'un fichier d'entrée (par ex: UTF-8, ISO-8859-1, CP437...) et son
type de fin de ligne (CR, LF, CRLF).
Ses trois fonctionnalités principales sont :
- reconnaissance automatique (suivant le fichier et la localisation du
  système) fiable dans la plupart des cas ;
- assistance à la vérification ou à la reconnaissance manuelle ;
- conversion dans un autre jeu de caractères et/ou type de fin de ligne.

%package	devel
Group: Development/Other
Summary:	Library and file header for utrac
Summary(fr):	Bibliothèque et fichier d'en-têtes pour utrac
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-static = %{version}-%{release}

%description devel
The %{name}-devel package includes the static library and the header files
for compiling programs that use the utrac library.

%description -l fr devel
Le paquetage %{name}-devel contient la bibliothèque statique et le fichier
d'en-têtes nécessaires à la compilation des programmes qui utilisent la
bibliothèque utrac.

%prep
%setup -q
%patch0
%patch1 -p1
%patch2
sed -i -e 's/^\(CFLAGS.*\)/\1 $(RPM_OPT_FLAGS)/' Makefile
sed -i -e '/^\s*strip /d' Makefile

%build
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT \
             PREFIX_PATH=%{_prefix} \
             BIN_PATH=%{_bindir} \
             LIB_PATH=%{_libdir} \
             INC_PATH=%{_includedir} \
             MAN_PATH=%{_mandir}/man1 \
             SHARE_PATH=%{_datadir}/%{name}
make install-lib DESTDIR=$RPM_BUILD_ROOT \
             PREFIX_PATH=%{_prefix} \
             BIN_PATH=%{_bindir} \
             LIB_PATH=%{_libdir} \
             INC_PATH=%{_includedir} \
             MAN_PATH=%{_mandir}/man1 \
             SHARE_PATH=%{_datadir}/%{name}

%files
%doc CHANGES COPYING README TODO
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/*

%files devel
%{_libdir}/*.a
%{_includedir}/*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_39
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_38
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_36
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_35
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_34
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_33
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_32
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt2_31
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_31
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_30
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_29
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_28
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_27
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_26
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_25
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_23
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_22
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_21
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_20
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_19
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_18
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_17
- initial fc import

